﻿@model IEnumerable<TaxPrepHistory>
@{
    ViewData["Title"] = "Tax Prep Queue Activity Log";
    int TimeZone = ViewBag.TimeZone;
}
<div class="container">
    <div class="card card-custom card-stretch gutter-b">
        <div class="card-header align-items-center border-0">
            <h3 class="card-title align-items-start flex-column">
                <span class="font-weight-bold text-primary">Tax Prep Queue Activity Log</span>
            </h3>
        </div>
        <div class="card-body pt-0">
            <div class="timeline timeline-5">
                @if (Model.Count() > 0)
                {
                    foreach (var item in Model)
                    {
                        var actionBy = item.ActionByUserId > 0 ? item.ActionByUser.UserData.Name : item.ClientLogin.ClientData.Name;
                        var actionByEmail = item.ActionByUserId > 0 ? item.ActionByUser?.Username : item.ClientLogin.Username;
                        <div class="timeline-item align-items-start">
                            <div class="timeline-label font-weight-bold">@item.CreatedDate.AddMinutes(-TimeZone).ToString("MMM dd, yyyy hh:mm tt")</div>
                            <div class="timeline-badge">
                                <i class="fa fa-genderless text-warning icon-xl"></i>
                            </div>
                            <div class="timeline-content pl-3">
                                <span class="text-maroon font-weight-bold" role="button" data-toggle="tooltip" data-original-title="@actionByEmail">@actionBy</span>
                                @Html.Raw(item.Message)
                                @if (item.FileNames != null)
                                {
                                    <div class="alert alert-custom alert-notice alert-light-warning mt-2" role="alert" style="width:fit-content">
                                        <ul class="mb-0">
                                            @foreach (var file in item.FileNames)
                                            {
                                                <li>@file</li>
                                            }
                                        </ul>
                                    </div>
                                }
                            </div>
                        </div>
                    }
                }
                else
                {
                    <div class="alert alert-secondary" role="alert">No Activity Logged!</div>
                }
            </div>
        </div>
    </div>
</div>